=head1 NAME

Gtk2::Plug - wrapper for GtkPlug

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Plug



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Plug-E<gt>B<new> ($socket_id)

=over

=item * $socket_id (Gtk2::Gdk::NativeWindow) 

=back

=head2 widget = Gtk2::Plug-E<gt>B<new_for_display> 

Since: gtk+ 2.2

=head2 $plug-E<gt>B<construct> ($socket_id)

=over

=item * $socket_id (Gtk2::Gdk::NativeWindow) 

=back

=head2 $plug-E<gt>B<construct_for_display> ($display, $socket_id)

=over

=item * $display (Gtk2::Gdk::Display) 

=item * $socket_id (Gtk2::Gdk::NativeWindow) 

=back

Since: gtk+ 2.2

=head2 boolean = $plug-E<gt>B<get_embedded> 

Since: gtk+ 2.14

=head2 nativewindow = $plug-E<gt>B<get_id> 

=head2 window or undef = $plug-E<gt>B<get_socket_window> 

Since: gtk+ 2.14



=cut


=head1 PROPERTIES

=over

=item 'embedded' (boolean : default false : readable / private / static-nick / static-blurb)

Whether or not the plug is embedded

=item 'socket-window' (Gtk2::Gdk::Window : default undef : readable / private / static-nick / static-blurb)

The window of the socket the plug is embedded in

=back



=cut


=head1 SIGNALS

=over

=item B<embedded> (Gtk2::Plug)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

